## org.apache.lucene.analysis.el
Class GreekAnalyzer

    java.lang.Object
      org.apache.lucene.analysis.Analyzer
          org.apache.lucene.analysis.el.GreekAnalyzer

    public final class GreekAnalyzer

extends Analyzer

Analyzer for the Greek language. Supports an external list of stopwords (words that will not be indexed at all). A default set of stopwords is used unless an alternative list is specified.

Author:
  Panagiotis Astithas, past@ebs.gr

Constructor Summary
`GreekAnalyzer()`
`GreekAnalyzer(char[] charset)` Builds an analyzer.
`GreekAnalyzer(char[] charset, Hashtable stopwords)` Builds an analyzer with the given stop words.
`GreekAnalyzer(char[] charset, String[] stopwords)` Builds an analyzer with the given stop words.

Method Summary
`TokenStream` `tokenStream(String fieldName, Reader reader)` Creates a TokenStream which tokenizes all the text in the provided Reader.

Methods inherited from class org.apache.lucene.analysis.Analyzer
`getPositionIncrementGap, getPreviousTokenStream, reusableTokenStream, setPreviousTokenStream`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GreekAnalyzer

    public GreekAnalyzer()

### GreekAnalyzer

    public GreekAnalyzer(char[] charset)

  Builds an analyzer.

### GreekAnalyzer

    public GreekAnalyzer(char[] charset,
                         String[] stopwords)

  Builds an analyzer with the given stop words.

### GreekAnalyzer

    public GreekAnalyzer(char[] charset,
                         Hashtable stopwords)

  Builds an analyzer with the given stop words.

Method Detail

### tokenStream

    public TokenStream tokenStream(String fieldName,
                                   Reader reader)

  Creates a TokenStream which tokenizes all the text in the provided Reader.

  Specified by:
    `tokenStream` in class `Analyzer`
  Returns:
    A TokenStream build from a StandardTokenizer filtered with GreekLowerCaseFilter and StopFilter

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.